zenilib: zenilib/jni/external/zlib/zutil.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
zutil.c File Reference
`#include "zutil.h"`

Go to the source code of this file.

## Functions

voidp malloc | OF ((uInt size))
voidp calloc | OF ((uInt items, uInt size))
void free | OF ((voidpf ptr))
voidpf ZLIB_INTERNAL | zcalloc (voidpf opaque, unsigned items, unsigned size)
void ZLIB_INTERNAL | zcfree (voidpf opaque, voidpf ptr)
const char *ZEXPORT | zError (int err)
uLong ZEXPORT | zlibCompileFlags ()
const char *ZEXPORT | zlibVersion ()
int ZLIB_INTERNAL | zmemcmp (Bytef *s1, const Bytef *s2, uInt len) const
void ZLIB_INTERNAL | zmemcpy (Bytef *dest, const Bytef *source, uInt len)
void ZLIB_INTERNAL | zmemzero (Bytef *dest, uInt len)

## Variables

const char *const | z_errmsg [10]

## Function Documentation

voidp malloc OF | ( | (uInt size) |  | ) |

voidp calloc OF | ( | (uInt items, uInt size) |  | ) |

void free OF | ( | (voidpf ptr) |  | ) |

voidpf ZLIB_INTERNAL zcalloc | ( | voidpf | opaque,
|  | unsigned | items,
|  | unsigned | size
| ) |  |

Definition at line 300 of file zutil.c.

References calloc, and malloc.

void ZLIB_INTERNAL zcfree | ( | voidpf | opaque,
|  | voidpf | ptr
| ) |  |

Definition at line 310 of file zutil.c.

References free.

const char* ZEXPORT zError | ( | int | err | ) |

Definition at line 133 of file zutil.c.

References ERR_MSG.

uLong ZEXPORT zlibCompileFlags | ( |  | ) |

Definition at line 32 of file zutil.c.

References z_off_t.

Referenced by main().

const char* ZEXPORT zlibVersion | ( |  | ) |

Definition at line 27 of file zutil.c.

References ZLIB_VERSION.

Referenced by main().

int ZLIB_INTERNAL zmemcmp | ( | Bytef* | s1,
|  | const Bytef* | s2,
|  | uInt | len
| ) |  | const

Definition at line 160 of file zutil.c.

References j.

void ZLIB_INTERNAL zmemcpy | ( | Bytef* | dest,
|  | const Bytef* | source,
|  | uInt | len
| ) |  |

Definition at line 149 of file zutil.c.

void ZLIB_INTERNAL zmemzero | ( | Bytef* | dest,
|  | uInt | len
| ) |  |

Definition at line 173 of file zutil.c.

## Variable Documentation

const char* const z_errmsg[10]

Initial value:
= {
"need dictionary",
"stream end",
"",
"file error",
"stream error",
"data error",
"insufficient memory",
"buffer error",
"incompatible version",
""}

Definition at line 14 of file zutil.c.